Page MenuHomePhabricator

Hire a Developer Advocate for the Technical Collaboration team
Closed, ResolvedPublic

Description

This is happening: https://t.co/pxUd13j1Iv

Hiring processes are quite confidential by nature. Expect very few updates in this task.

Measurement of success

  • Publish a Developer Advocate job opening consistent with annual plan.
  • Promote the job opening to audiences consistent with TC and WMF strategy.
  • Process candidates, select one, and send them a job offer.

Event Timeline

Qgil created this task.Jun 14 2016, 12:54 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 12:54 PM
Qgil raised the priority of this task from Medium to High.Jun 17 2016, 11:41 AM

The search continues into the next quarter.

Qgil added a comment.Jul 8 2016, 2:45 PM

We have closed the job post. We believe our future Developer Advocate is among the current candidates. We have been proceeding with screenings and interviews for a while now.

Qgil updated the task description. (Show Details)Aug 10 2016, 9:03 AM
Qgil closed this task as Resolved.Sep 1 2016, 9:48 AM

Our new Developer Advocate signed the job offer yesterday! Task completed. Next: T144477: Onboard our new Developer Advocate (starting in October).

Qgil updated the task description. (Show Details)Oct 7 2016, 12:39 PM